/**
 * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * -------------------------------
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 */
export default {
  dev: {
    // localhost:8000/api/** -> https://preview.pro.ant.design/api/**
    // '/sgadmin/duoduo-service': {
    //   //target: 'https://duoduoenv.sagacloud.cn/',
    //   target: 'http://10.100.28.79',
    //   changeOrigin: true,
    //   pathRewrite: {
    //     '^/sgadmin/duoduo-service': '/sgadmin/duoduo-service',
    //   },
    // },
    // '/sgadmin/sso': {
    //   //target: 'https://duoduoenv.sagacloud.cn/',
    //   target: 'http://10.100.28.79',
    //   changeOrigin: true,
    //   pathRewrite: {
    //     '^/sgadmin/sso': '/sgadmin/sso',
    //   },
    // },
    '/sgadmin/duoduo-service': {
      target: 'https://duoduoenv.sagacloud.cn/',
      //   target: 'http://10.100.28.79',
      changeOrigin: true,
      pathRewrite: {
        // '^/sgadmin': '/sgadmin',
        '^/sgadmin/duoduo-service': '/duoduo-service',
      },
    },
    '/image-service': {
      target: 'http://api.sagacloud.cn/',
      //   target: 'http://10.100.28.79',
      changeOrigin: true,
      pathRewrite: {
        '^/image-service': '',
      },
    },
    '/yongqi': {
      target: 'http://192.168.88.4:58003/',
      //   target: 'http://10.100.28.79',
      changeOrigin: true,
      pathRewrite: {
        // '^/sgadmin': '/sgadmin',
        '^/yongqi': '',
      },
    },
    '/xiaojing': {
      target: 'http://192.168.4.29:52015/',
      //   target: 'http://10.100.28.79',
      changeOrigin: true,
      pathRewrite: {
        // '^/sgadmin': '/sgadmin',
        '^/xiaojing': '',
      },
    },
  },

  test: {
    '/api/': {
      target: 'http://192.168.0.14:52015/',
      changeOrigin: true,
      pathRewrite: { '^/api': '' },
    },
  },
  pre: {
    '/api/': {
      target: 'your pre url',
      changeOrigin: true,
      pathRewrite: { '^/api': '' },
    },
  },
};
