import { useState, useEffect } from 'react';
import { homeImgMap } from '@/config/sagacare/sagacare_image.js';

export type menutype = {
  name: string;
  id?: string;
};
export default function () {
  const [menuList, setMenuList] = useState<menutype[]>();
  //进入时赋值
  useEffect(() => {
    setMenuList([
      {
        title: '',
        menus: [
          {
            id: 'member',
            title: '成员',
            icon: homeImgMap.staff,
          },
          {
            id: 'information',
            title: '企业信息',
            icon: homeImgMap.staff,
          },
        ],
      },

      {
        title: '运营服务',
        menus: [
          {
            id: 'environment',
            title: '环境信息',
            icon: homeImgMap.environment,
          },
          {
            id: 'equipment',
            title: '设备管理',
            icon: homeImgMap.equipment,
          },
          {
            id: 'runtime',
            title: '运行时间',
            icon: homeImgMap.runtime,
          },
        ],
      },
    ]);
    // setMenuList([
    //   // { name: '环境信息', id: 'environment' },
    //   { name: '设备管理', id: 'equipment' },
    //   { name: '人员管理', id: 'member' },
    //   // { name: '运行时间', id: 'runtime' },
    // ]);
  }, []);

  return { menuList };
}
