﻿export default [
  {
    path: '/login',
    name: 'login',
    component: './Login',
    layout: false,
  },
  {
    path: '/',
    component: '../layouts',
    routes: [
      {
        path: '/',
        redirect: '/home',
      },
      {
        path: '/noAuth',
        component: './NoAuth',
      },
      {
        path: '/home',
        component: './Home',
      },
      {
        path: '/member',
        name: 'member',
        component: './Member',
      },
      {
        path: '/information',
        name: 'information',
        component: './Information',
      },
      {
        path: '/member/invalid',
        name: 'member.invalid',
        component: './Member/invalid',
      },
      {
        path: '/environment',
        name: 'environment',
        component: './Environment',
      },
      {
        path: '/equipment',
        name: 'equipment',
        component: './Equipment',
      },
      {
        path: '/runtime',
        name: 'runtime',
        component: './Runtime',
      },
      {
        path: '/runtime/recordList',
        name: 'recordList',
        component: './Runtime/RecordList',
      },
    ],
  },
];
