import React from 'react';
import { Image } from 'antd';
import emptyImage from '@/assets/images/air-count-empty.jpg';

export default function Empty() {
  return (
    <div
      style={{
        background: '#fff',
        width: '100%',
        height: 440,
        borderRadius: 10,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        flexDirection: 'column',
      }}
    >
      <Image src={emptyImage} width={300} preview={false} />
      <span style={{ fontSize: 18, fontWeight: 500 }}>暂无新的加时统计</span>
    </div>
  );
}
