import React, { useState, useEffect } from 'react';
import { Modal } from 'antd';
import Icon from '@/tenants-ui/SgIcon';
import styles from './index.less';
import cx from 'classnames';

export default ({ onClose }) => {
  return (
    <>
      <Modal width={450} open maskClosable={false} closable={false} footer={null}>
        <div className={styles.main}>
          <div className={styles.header}>
            <div className={styles.title}>弹出框</div>
            <div className={styles.close} onClick={onClose}>
              <Icon type="close" />
            </div>
          </div>
          <div className={styles.content}>我是内容</div>
        </div>
      </Modal>
    </>
  );
};
